// 礼包奖励表
import { readFileAndParse } from '../util';
import { FILENAME } from '../../consts';

export const dicGeneralGoods = new Map<number, number>();
export function loadGeneralGoods() {
    dicGeneralGoods.clear();
    let arr = readFileAndParse(FILENAME.DIC_GENERAL_GOODS);

    arr.forEach(o => {
        dicGeneralGoods.set(o.goodId, o.relationGoodId);
    });
    arr = undefined;
}